<?php
session_start(); 
  include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }
    //fin validar session
	   $id_cd= $_POST["elid"];
//extract($_POST);
$arr= $_POST["cantsis"];
$realizo =$_POST['realizo'];
  $comments =$_POST['comments'];
$sistema = unserialize(urldecode($arr));
$continuar=0;

$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$id_cd";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$usuario = $rp3->nombre;
	
$qp31 = "select curdate() as lafech, curtime() as latime";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
$hora = $rp31->latime;

$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd'";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));


//inserts

	 	$qPP8 = "insert into invreg(id_cd, fechai, horai, realizo, observaciones, fecha) values ('$id_cd','$hoy','$hora','$realizo','$comments', now())";
$rPP8 = mysqli_query($conexion, $qPP8) or die ('ErrPP: '. mysqli_error($conexion));

$qp31 = "select id_inv from invreg where id_cd=$id_cd and fechai=curdate() order by id_inv DESC";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$id_inv = $rp31->id_inv;


echo "<center><font size=\"+2\"><b>Reporte de toma de inventario F&iacute;sico registro $id_inv</b></font><br> <br>
Fecha <b>$hoy</b> a las <b>$hora horas </b><br> Realizado por: <b>$realizo</b><br>
<table width=\"350\"><tr align=\"center\"><th>Comentarios:</th></tr><tr><td align=\"center\">$comments</td></tr></table><br>

<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Existencias</th><th>Sistema</th><th>Real</th><th>Diferencias</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;

$elbn= $_POST["cant$i"]; $dif=$elbn-$sistema[$i];
$qPP81 = "insert into inventario(id_inv, productos_id_prod, cants, cantf) values ('$id_inv','$i','$sistema[$i]','$elbn')";
$rPP81 = mysqli_query($conexion, $qPP81) or die ('ErrPP: '. mysqli_error($conexion));

	 $qp = "update stock set cantidad='$elbn' where idprod=$i and idcd=$id_cd";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));


	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\">$objetoPP->cantidad</td>
			<td align=\"center\">$sistema[$i]</td>
			<td align=\"center\">$elbn</td><td align=\"center\">$dif</td>
			

		

		  </tr> 

		 ";

   

}

	echo"</table>
	<br><br><br><table>
	<tr><td>_________________________</td><td>&nbsp;&nbsp;&nbsp;</td><td>_________________________</td></tr>
	<tr align=\"center\"><td>$realizo</td><td>&nbsp;&nbsp;&nbsp;</td><td>$usuario</td></tr>
	</table>
	<br><br>";   



?>
